Class Index | File Index

## Classes

- _global_
- jQuery.fn.minplayer
- minplayer.async
- minplayer.compatibility
- minplayer.display
- minplayer.file
- minplayer.flags
- minplayer.image
- minplayer.players.base
- minplayer.players.flash
- minplayer.players.html5
- minplayer.players.minplayer
- minplayer.players.vimeo
- minplayer.players.youtube
- minplayer.plugin

# Class minplayer.players.vimeo

Extends minplayer.players.base.
The vimeo media player.
Defined in: minplayer.players.vimeo.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| minplayer.players.vimeo(context, options, queue)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| constructor Reset the constructor.

Fields borrowed from class minplayer.players.base:
  mediaFile
Fields borrowed from class minplayer.display:
  onResize
Fields borrowed from class minplayer.plugin:
  active, context, lock, name, options, pluginReady, queue, triggered

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | minplayer.players.vimeo.canPlay(file)
| clear() Clears the media player.
| construct()
| create()
| getDuration(callback)
<static> | minplayer.players.vimeo.getImage(file, type, callback) Returns a preview image for this media player.
<static> | minplayer.players.vimeo.getMediaId(file) Return the ID for a provided media file.
<static> | minplayer.players.vimeo.getPriority(file)
| getVolume(callback)
| hasController() Determines if the player should show the playloader.
| hasPlayLoader(preview) Determines if the player should show the playloader.
| load(file)
| onReady(player_id)
| pause()
| play()
| reset()
| seek(pos)
| setVolume(vol)
| stop()

Methods borrowed from class minplayer.players.base:
  addPlayer, destroy, getBytesLoaded, getBytesStart, getBytesTotal, getCurrentTime, getElements, getPlayer, getValue, isReady, onComplete, onError, onLoaded, onPaused, onPlaying, onWaiting, playerFound, seekRelative, setVolumeRelative
Methods borrowed from class minplayer.display:
  fullscreen, fullScreenElement, getDisplay, getScaledRect, hide, isFullScreen, onFocus, toggleFullScreen
Methods borrowed from class minplayer.plugin:
  addPlugin, bind, checkQueue, get, isValid, poll, ready, trigger, unbind

Class Detail
minplayer.players.vimeo(context, options, queue)

Parameters:
{object} context
  The jQuery context.
{object} options
  This components options.
{object} queue
  The event queue to pass events around.

Field Detail
constructor
Reset the constructor.
Method Detail
<static> {boolean} minplayer.players.vimeo.canPlay(file)

Parameters:
file

Returns:
  {boolean} If this player can play this media type.

See:
  minplayer.players.base#canPlay

clear()
Clears the media player.

construct()

See:
  minplayer.plugin.construct

{object} create()

Returns:
  {object} The media player entity.

See:
  minplayer.players.base#create

getDuration(callback)

Parameters:
callback

See:
  minplayer.players.base#getDuration.

<static> minplayer.players.vimeo.getImage(file, type, callback)
Returns a preview image for this media player.

Parameters:
{object} file
  A minplayer.file object.
{string} type
  The type of image.
{function} callback
  Called when the image is retrieved.

<static> {string} minplayer.players.vimeo.getMediaId(file)
Return the ID for a provided media file.

Parameters:
{object} file
  A minplayer.file object.

Returns:
  {string} The ID for the provided media.

<static> {number} minplayer.players.vimeo.getPriority(file)

Parameters:
{object} file
  A minplayer.file object.

Returns:
  {number} The priority of this media player.

See:
  minplayer.players.base#getPriority

getVolume(callback)

Parameters:
callback

See:
  minplayer.players.base#getVolume

{bool} hasController()
Determines if the player should show the playloader.

Returns:
  {bool} If this player implements its own playLoader.

{bool} hasPlayLoader(preview)
Determines if the player should show the playloader.

Parameters:
{string} preview
  The preview image.

Returns:
  {bool} If this player implements its own playLoader.

{boolean} load(file)

Parameters:
file

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#load

onReady(player_id)

Parameters:
player_id

See:
  minplayer.players.base#onReady

{boolean} pause()

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#pause

{boolean} play()

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#play

reset()

See:
  minplayer.players.base#reset

{boolean} seek(pos)

Parameters:
pos

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#seek

{boolean} setVolume(vol)

Parameters:
vol

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#setVolume

{boolean} stop()

Returns:
  {boolean} If this action was performed.

See:
  minplayer.players.base#stop

Documentation generated by JsDoc Toolkit 2.4.0 on Thu Oct 04 2012 19:54:20 GMT-0700 (PDT)